Vendors
Update vendor finding
Update vendor finding.
PATCH
/
vendors
/
{vendorId}
/
findings
/
{findingId}
Update vendor finding
curl --request PATCH \
--url https://api.vanta.com/v1/vendors/{vendorId}/findings/{findingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"remediation": {
"requirementNotes": "<string>"
}
}
'import requests
url = "https://api.vanta.com/v1/vendors/{vendorId}/findings/{findingId}"
payload = {
"content": "<string>",
"remediation": { "requirementNotes": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', remediation: {requirementNotes: '<string>'}})
};
fetch('https://api.vanta.com/v1/vendors/{vendorId}/findings/{findingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "66bb83e06c54dc42afedb174",
"vendorId": "66bb83dc14f5709efe418859",
"securityReviewId": "66bb83977ffe63d2c54d6711",
"documentId": null,
"content": "This vendor has not performed a penetration test in the past 15 months.",
"riskStatus": "REMEDIATE",
"remediation": {
"requirementNotes": "We need them to provide an updated penetration test report.",
"state": "OPEN"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Ok
Unique identifier for the finding.
Unique identifier for the vendor.
Unique identifier for a security review.
Unique identifier for a document.
The content of the finding.
The risk status of the finding.
Available options:
ACCEPT, REMEDIATE, NONE Remediation information about the finding. Will only be populated if riskStatus is set to "REMEDIATE".
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update vendor finding
